Bug 1532997

Summary: BC break in 1.14 - undefined symbol: gdbm_errno
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: gdbmAssignee: Marek Skalický <mskalick>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: hhorak, kasal, mskalick
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gdbm-1.13-6.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-18 21:30:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Remi Collet 2018-01-10 08:53:25 UTC
Description of problem:
Version 1.14 is not BC compatible with 1.13.1

Version-Release number of selected component (if applicable):
1.14-1

How reproducible:
use abi-compliance-checker

Added symbol: gdbm_errno_location()
Dropped symbol:  gdbm_errno


So this break app relying on this symbol

Ex: 
$ php -v
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/dba.so' - /usr/lib64/php/modules/dba.so: undefined symbol: gdbm_errno in Unknown on line 0


Notice: this doesn't affect PHP Fedora build where gdbm is not used.

Comment 1 Remi Collet 2018-01-10 08:57:43 UTC
Notice gdbm_errno is now a macro

#define gdbm_errno (*gdbm_errno_location ())

So API is compatible, and a simple rebuild will work

Comment 2 Fedora Update System 2018-01-15 13:19:15 UTC
gdbm-1.13-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec4df5a741

Comment 3 Remi Collet 2018-01-15 13:23:34 UTC
(In reply to Fedora Update System from comment #2)
> gdbm-1.13-5.fc27 has been submitted as an update to Fedora 27.
> https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec4df5a741

Requires: %{name} = %{version}-%{release}

Should be 

Requires: %{name} = %{epoch}-%{version}-%{release}

Comment 4 Fedora Update System 2018-01-15 18:35:12 UTC
gdbm-1.13-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec4df5a741

Comment 5 Fedora Update System 2018-01-16 13:02:20 UTC
gdbm-1.13-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec4df5a741

Comment 6 Fedora Update System 2018-01-17 06:46:29 UTC
gdbm-1.13-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec4df5a741

Comment 7 Fedora Update System 2018-01-18 21:30:53 UTC
gdbm-1.13-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.